
QGIS Application - Bug report #17550

Opacity slider in the Layers Panel partially broken for WMS and XYZ layers 

2017-11-25 02:28 PM - Borys Jurgiel

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25447

Description

The opacity slider for a WMS or XYZ layer it not showed in the legend immediately after added. You need to dag the layer item up or down

in order to refresh the panel's gui and see the slider.

Steps to reproduce (in both 2.18 and 2.99):

1. Load a WMS or XYZ layer

2. Add the Opacity Slider (in Layer properties -> Legend)

3. No slider is displayed (although the vertical scrollbar seems to notice the legend height change)

4. Drag the layer down a bit to trigger gui refresh

5. The slider magically appears

Please note both layer types (unlike other layers) have the fold-down triangle visible all the time. So I suspect the layer item doesn't notice

the child widget list change.

Related issues:

Related to QGIS Application - Bug report # 18608: Layer tree embedded widgets... Closed 2018-04-02

History

#1 - 2017-11-25 03:37 PM - Giovanni Manghi

- Category changed from GUI to Map Legend

#2 - 2018-10-07 05:30 PM - Borys Jurgiel

- Related to Bug report #18608: Layer tree embedded widgets do not show up unless you move layer added

#3 - 2018-10-07 05:32 PM - Borys Jurgiel

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicates #18608
